Bug 1884985 - [Assisted-4.6][Staging][Advanced Networking] wrong validation error return when using out of range prefix
Summary: [Assisted-4.6][Staging][Advanced Networking] wrong validation error return wh...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: assisted-installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Ori Amizur
QA Contact: Yuri Obshansky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-04 09:49 UTC by Lital Alon
Modified: 2020-11-02 15:41 UTC (History)
2 users (show)

Fixed In Version: OCP-Metal-v1.0.10.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
wrong validation message when saving incorrect advanced networking values (123.49 KB, image/png)
2020-10-04 09:49 UTC, Lital Alon
no flags Details

Description Lital Alon 2020-10-04 09:49:38 UTC
Created attachment 1718744 [details]
wrong validation message when saving incorrect advanced networking values

Created attachment 1718744 [details]
wrong validation message when saving incorrect advanced networking values

Description of problem:
i was configuring this in the advanced networking:

Cluster Network CIDR: 10.128.0.0/22
Cluster Network Host Prefix: 30
Service Network CIDR: 172.30.0.0/16

the return error when saving this values:
Network prefix 30 is out of the allowed range (1 , 25)

The issue is that the allowed range returned from service is incorrect. the returned allowed range should be dynamic, and influence by the cluster CIDR that is currently set. so i was expecting to the following range: (22, 25) and not (1 , 25)

(Staging v1.9.0.7)

Comment 1 Ori Amizur 2020-10-11 10:32:27 UTC
Will change the validation and the message to check upper range only (less than 25).
The relation between the host prefix and the cluster network CIDR is checked by cluster network CIDR validation

Comment 3 Lital Alon 2020-10-21 07:23:33 UTC
Verified on Staging v1.0.10.1


Note You need to log in before you can comment on or make changes to this bug.